CREATE DATABASE  IF NOT EXISTS `mysqlscholkeworkorganizerlovevoldatabasedb` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `mysqlscholkeworkorganizerlovevoldatabasedb`;
-- MySQL dump 10.13  Distrib 8.0.33, for Win64 (x86_64)
--
-- Host: localhost    Database: mysqlscholkeworkorganizerlovevoldatabasedb
-- ------------------------------------------------------
-- Server version	8.0.33

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `documenthistorys`
--

DROP TABLE IF EXISTS `documenthistorys`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `documenthistorys` (
  `ID` bigint NOT NULL AUTO_INCREMENT,
  `What` longtext,
  `When` datetime NOT NULL,
  `CurrentDocumentId` bigint DEFAULT NULL,
  `MetaData` longtext,
  `CustomMetaData` longtext,
  `GUID` char(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `DataTimeValue1` datetime DEFAULT NULL,
  `DataTimeValue2` datetime DEFAULT NULL,
  `DataTimeValue3` datetime DEFAULT NULL,
  `StringValue1` longtext,
  `StringValue2` longtext,
  `StringValue3` longtext,
  `DoubleValue1` double NOT NULL,
  `DoubleValue2` double NOT NULL,
  `DoubleValue3` double NOT NULL,
  `BoolValue1` tinyint(1) NOT NULL,
  `BoolValue2` tinyint(1) NOT NULL,
  `BoolValue3` tinyint(1) NOT NULL,
  `Binder_ID` bigint DEFAULT NULL,
  `Who_ID` bigint DEFAULT NULL,
  PRIMARY KEY (`ID`),
  KEY `IX_CurrentDocumentId` (`CurrentDocumentId`),
  KEY `IX_Binder_ID` (`Binder_ID`),
  KEY `IX_Who_ID` (`Who_ID`),
  CONSTRAINT `FK_DocumentHistorys_Binders_Binder_ID` FOREIGN KEY (`Binder_ID`) REFERENCES `binders` (`ID`),
  CONSTRAINT `FK_DocumentHistorys_Documents_CurrentDocumentId` FOREIGN KEY (`CurrentDocumentId`) REFERENCES `documents` (`ID`),
  CONSTRAINT `FK_DocumentHistorys_Users_Who_ID` FOREIGN KEY (`Who_ID`) REFERENCES `users` (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `documenthistorys`
--

LOCK TABLES `documenthistorys` WRITE;
/*!40000 ALTER TABLE `documenthistorys` DISABLE KEYS */;
INSERT INTO `documenthistorys` VALUES (1,'New document /ghj()/ was added.','2023-07-09 19:27:43',NULL,NULL,NULL,'00000000-0000-0000-0000-000000000000',NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0,0,2,7),(2,'New document /ghjhgj()/ was added.','2023-07-09 19:27:59',NULL,NULL,NULL,'00000000-0000-0000-0000-000000000000',NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0,0,3,7);
/*!40000 ALTER TABLE `documenthistorys` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-07-10 10:40:12
