CREATE DATABASE  IF NOT EXISTS `mysqlscholkeworkorganizerlovevoldatabasedb` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `mysqlscholkeworkorganizerlovevoldatabasedb`;
-- MySQL dump 10.13  Distrib 8.0.33, for Win64 (x86_64)
--
-- Host: localhost    Database: mysqlscholkeworkorganizerlovevoldatabasedb
-- ------------------------------------------------------
-- Server version	8.0.33

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `publiceditorspubliceditorsinprojects`
--

DROP TABLE IF EXISTS `publiceditorspubliceditorsinprojects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `publiceditorspubliceditorsinprojects` (
  `PublicEditorRefId` bigint NOT NULL,
  `PublicEditorInProjectsRefId` bigint NOT NULL,
  PRIMARY KEY (`PublicEditorRefId`,`PublicEditorInProjectsRefId`),
  KEY `IX_PublicEditorRefId` (`PublicEditorRefId`),
  KEY `IX_PublicEditorInProjectsRefId` (`PublicEditorInProjectsRefId`),
  CONSTRAINT `FK_8ef3a77fd8af4ab1a9cf270d0db22b9f` FOREIGN KEY (`PublicEditorInProjectsRefId`) REFERENCES `projects` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_fc87475ef5054e4bac927a15e602f3a5` FOREIGN KEY (`PublicEditorRefId`) REFERENCES `users` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `publiceditorspubliceditorsinprojects`
--

LOCK TABLES `publiceditorspubliceditorsinprojects` WRITE;
/*!40000 ALTER TABLE `publiceditorspubliceditorsinprojects` DISABLE KEYS */;
/*!40000 ALTER TABLE `publiceditorspubliceditorsinprojects` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-07-10 10:40:09
