CREATE DATABASE  IF NOT EXISTS `mysqlscholkeworkorganizerlovevoldatabasedb` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `mysqlscholkeworkorganizerlovevoldatabasedb`;
-- MySQL dump 10.13  Distrib 8.0.33, for Win64 (x86_64)
--
-- Host: localhost    Database: mysqlscholkeworkorganizerlovevoldatabasedb
-- ------------------------------------------------------
-- Server version	8.0.33

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `settings` (
  `ID` bigint NOT NULL AUTO_INCREMENT,
  `Name` longtext,
  `PermissionSettings` longtext,
  `MaxEmailDiscSpaceInMb` int NOT NULL,
  `EmailAccountPreConfigurationJSON` longtext,
  `MetaData` longtext,
  `CustomMetaData` longtext,
  `GUID` char(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `DataTimeValue1` datetime DEFAULT NULL,
  `DataTimeValue2` datetime DEFAULT NULL,
  `DataTimeValue3` datetime DEFAULT NULL,
  `StringValue1` longtext,
  `StringValue2` longtext,
  `StringValue3` longtext,
  `DoubleValue1` double NOT NULL,
  `DoubleValue2` double NOT NULL,
  `DoubleValue3` double NOT NULL,
  `BoolValue1` tinyint(1) NOT NULL,
  `BoolValue2` tinyint(1) NOT NULL,
  `BoolValue3` tinyint(1) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
INSERT INTO `settings` VALUES (1,NULL,'KnbX8+C9NtMTr7Y+8isUzNBu6/Wr+87zHcZonWY7ruzHGeMXLgnjBSRLBDXgtVtZ6B1KskhSC561PlusJ4tSoj4aGxqs9JvICpUoL7Ou2Ta/jCkHfbVcwvvrA0QbxUJKKZvFnx6dTjXjS4CSO5fkHOdCmatCBWcWPiIIIdCHch4=',0,NULL,NULL,NULL,'00000000-0000-0000-0000-000000000000',NULL,NULL,NULL,NULL,NULL,NULL,0,0,0,0,0,0);
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-07-10 10:40:07
