CREATE DATABASE  IF NOT EXISTS `mysqlscholkeworkorganizerlovevoldatabasedb` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci */ /*!80016 DEFAULT ENCRYPTION='N' */;
USE `mysqlscholkeworkorganizerlovevoldatabasedb`;
-- MySQL dump 10.13  Distrib 8.0.33, for Win64 (x86_64)
--
-- Host: localhost    Database: mysqlscholkeworkorganizerlovevoldatabasedb
-- ------------------------------------------------------
-- Server version	8.0.33

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `vacationconfirmatorinteamvacationconfirmator`
--

DROP TABLE IF EXISTS `vacationconfirmatorinteamvacationconfirmator`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vacationconfirmatorinteamvacationconfirmator` (
  `VacationConfirmatorInTeamRefId` bigint NOT NULL,
  `VacationConfirmatorRefId` bigint NOT NULL,
  PRIMARY KEY (`VacationConfirmatorInTeamRefId`,`VacationConfirmatorRefId`),
  KEY `IX_VacationConfirmatorInTeamRefId` (`VacationConfirmatorInTeamRefId`),
  KEY `IX_VacationConfirmatorRefId` (`VacationConfirmatorRefId`),
  CONSTRAINT `FK_0481034edce34fa7a038a31f20c91713` FOREIGN KEY (`VacationConfirmatorInTeamRefId`) REFERENCES `users` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_a83cd0a0072448e1a798fb569f02aa29` FOREIGN KEY (`VacationConfirmatorRefId`) REFERENCES `teams` (`ID`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vacationconfirmatorinteamvacationconfirmator`
--

LOCK TABLES `vacationconfirmatorinteamvacationconfirmator` WRITE;
/*!40000 ALTER TABLE `vacationconfirmatorinteamvacationconfirmator` DISABLE KEYS */;
INSERT INTO `vacationconfirmatorinteamvacationconfirmator` VALUES (7,1);
/*!40000 ALTER TABLE `vacationconfirmatorinteamvacationconfirmator` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-07-10 10:40:15
